Upgrade

Wichtiger Hinweis zum Upgrade von VDAs

Wurde die PvD-Komponente (persönliche vDisk) jemals auf einem VDA installiert, kann dieser nicht auf Version 1912 LTSR oder höher aktualisiert werden. Um den neuen VDA zu verwenden, müssen Sie den bestehenden VDA deinstallieren und dann den neuen VDA installieren.

Die ist auch dann erforderlich, wenn Sie PvD nie verwendet haben.

Herausfinden, ob Sie das betrifft

Wie PvD eventuell in früheren Versionen installiert wurde:

  • Auf der grafischen Benutzeroberfläche des VDA-Installationsprogramms war PvD eine Option (Kontrollkästchen auf der Seite Zusätzliche Komponenten). In den 7.x-Versionen bis 7.15 LTSR war diese Option standardmäßig aktiviert. Wenn Sie die Standardeinstellungen akzeptiert haben (oder die Option in einem Release explizit aktiviert haben), wurde PvD installiert.
  • In der Befehlszeile wurde PvD über die Option /baseimage installiert. Wenn Sie diese Option angegeben oder ein Skript verwendet haben, das diese Option enthielt, wurde PvD installiert.

Wenn Sie nicht wissen, ob auf Ihrem VDA PvD installiert ist, führen Sie das Installationsprogramm für den neuen VDA (1912 LTSR oder höher) auf der Maschine bzw. dem Image aus.

  • Wenn PvD installiert ist, weist eine Meldung darauf hin, dass eine inkompatible Komponente vorhanden ist.
    • Klicken Sie auf der grafischen Benutzeroberfläche auf der Seite mit der Meldung auf Abbrechen und bestätigen Sie, dass Sie das Installationsprogramm schließen möchten.
    • Wenn Sie die Befehlszeile verwenden, schlägt der Befehl unter Anzeige der Meldung fehl.
  • Wenn PvD nicht installiert ist, wird das Upgrade fortgesetzt.

Aktion

Wenn PvD auf dem VDA nicht installiert ist, folgen Sie dem normalen Upgradeverfahren.

Wenn PvD auf dem VDA installiert ist, gehen Sie folgendermaßen vor:

  1. Deinstallieren Sie den VDA. Einzelheiten finden Sie unter Entfernen von Komponenten.
  2. Installieren Sie den neuen VDA.

Wenn Sie PvD auf Windows 7- oder Windows 10-Maschinen (bis 1607 ohne Updates) weiterverwenden möchten, ist VDA 7.15 LTSR die neueste unterstützte Version.

Einführung

Citrix verwaltet alle Citrix Virtual Apps and Desktops-Kernkomponenten in Ihrer Bereitstellung, mit Ausnahme von VDAs.

Um einen VDA zu aktualisieren, laden Sie das Installationsprogramm herunter (wie Sie es bei der ursprünglichen Installation getan haben) und führen Sie es auf der Maschine oder dem Image aus. Sie können die grafische Benutzeroberfläche oder die Befehlszeilenschnittstelle des Installationsprogramms verwenden.

Wenn Sie den VDA ursprünglich mit dem Installationsprogramm VDAWorkstationCoreSetup.exe installiert haben, behalten Sie diese Konfiguration bei, wenn Sie sie mit der neuesten Version desselben Installationsprogramms aktualisieren. Wenn Sie das Installationsprogramm VDAWorkstationSetup.exe auf dieser Maschine ausführen, können Sie Funktionen aktivieren, die im Installationsprogramm VDAWorkstationCoreSetup.exe nicht unterstützt werden. (Beachten Sie, dass einige dieser Funktionen im Installationsprogramm VDAWorkstationSetup.exe standardmäßig aktiviert sein können.) Darüber hinaus haben Sie die Möglichkeit, Citrix Workspace-App zu installieren.

Beim Upgrade auf VDA-Version 7.17 oder eine spätere unterstützte Version tritt ein Neustart auf. Dies kann nicht vermieden werden. Das Upgrade wird nach dem Neustart automatisch fortgesetzt (es sei denn, Sie haben an der Befehlszeile /noresume angegeben).

Aktualisieren Sie nach dem Upgrade der VDAs die Masterimages und Maschinenkataloge, die diesen VDA verwenden.

Informationen zu geänderten Produktnamen.

Ältere Betriebssysteme

Für Maschinen mit Betriebssystemen, unter denen eine VDA-Installation nicht mehr unterstützt wird (wie Windows 7 und Windows Server 2008 R2), gibt es mehrere Optionen.

  • Erstellen Sie ein neues Image mit einer unterstützten Windows-Version und installieren Sie dann den neuen VDA.
  • Ist es nicht möglich, die Images neu zu erstellen, Sie möchten aber das Betriebssystem aktualisieren, deinstallieren Sie den VDA, bevor Sie das Betriebssystem aktualisieren. Andernfalls wechselt der VDA in einen nicht unterstützten Zustand. Installieren Sie dann den neuen VDA.
  • Wenn Sie Maschinen mit einem von VDA-Version 7.16 oder später nicht mehr unterstützten Betriebssystem weiterhin verwenden möchten, ist als aktuellste unterstützte VDA-Version XenApp und XenDesktop 7.15 LTSR für Windows 7 und Windows Server 2008 R2 verfügbar.
    • Wenn auf einer Maschine Version 7.15 LTSR installiert ist und Sie versuchen, eine neuere Version zu installieren, werden Sie in einer Meldung darüber informiert, dass Sie die neueste unterstützte Version verwenden.
    • Wenn auf der Maschine eine Version vor 7.15 LTSR installiert ist, werden Sie über eine Meldung auf die Informationen unter CTX139030 verwiesen. Sie können VDAs der Version 7.15 LTSR von der Citrix Website herunterladen.

Weitere Informationen